﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UMK.WzorceStrukturalne;

namespace Most
{
    public class PilotPełnocnikDoRadia
    {
        private IUrządzenieRTV urządzenie;

        private int poprzedniKanał, bieżącyKanał;

        public PilotPełnocnikDoRadia()
        {
            this.urządzenie = new Radio(); //silna zależność
        }

        public void Włącz()
        {
            urządzenie.Włącz();
            UstawKanał(1);
        }

        public void UstawKanał(int numerKanału)
        {
            poprzedniKanał = bieżącyKanał;
            bieżącyKanał = numerKanału;
            urządzenie.UstawKanał(bieżącyKanał);
        }

        public void Wyłącz()
        {
            urządzenie.Wyłącz();
        }

        public void PrzywróćPoprzedniKanał()
        {
            UstawKanał(poprzedniKanał);
        }
    }
}
